Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.jcr
Interface OracleRepositoryConfiguration

All Superinterfaces:
  javax.naming.Referenceable, java.io.Serializable

All Known Implementing Classes:
  XDBRepositoryConfiguration

      public interface OracleRepositoryConfiguration

extends java.io.Serializable, javax.naming.Referenceable

OracleRepositoryConfiguration specifies the configuration of an OracleRepository.

Method Summary
`java.lang.String` `getDescriptor(java.lang.String key)` Gets the value of the specified descriptor key.
`java.lang.String[]` `getDescriptorKeys()` Gets the keys of the descriptors contributed to the OracleRepository by this OracleRepositoryConfiguration.

Methods inherited from interface javax.naming.Referenceable
`getReference`

Method Detail

### getDescriptorKeys

    java.lang.String[] getDescriptorKeys()

  Gets the keys of the descriptors contributed to the OracleRepository by this OracleRepositoryConfiguration.

  Thd returned keys may be a subset of those returned by OracleRepository `getDescriptorKeys`.

  Returns:
    the keys

### getDescriptor

    java.lang.String getDescriptor(java.lang.String key)

  Gets the value of the specified descriptor key.
  Parameters:
    `key` - a key in the set returned by `getDescriptorKeys`
  Returns:
    the value, or null if the key is not found

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.